Subject: bug#53758: 28.0.91; Recursive edit during dired-do-find-regexp-and-replace breaks isearch

From: Juri Linkov <[email-masked]>
Date: Tue, 08 Feb 2022 21:35:43 +0200

close 53758 29.0.50
thanks

>> I see that
>> dired-do-find-regexp-and-replace replaces all matches,
>> but xref--query-replace-1 tries to skip some matches.
>> What test could emulate the case where some matches
>> should be skipped?
>
> Perhaps try xref-find-references-and-replace?
>
> Search for some symbol which can also be included as part of the other
> symbols' name.
>
> E.g. search for 'dired-do-find-regexp' and verify that
> 'dired-do-find-regexp-and-replace' is not affected.

I see that these custom functions are needed in xref
to search/replace the specific regexp ".*".
Then this is the same problem like in bug#14013.

So I fixed perform-replace to allow using isearch in a recursive edit,
and closed this report.  Other problems could be discussed in bug#14013.